Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class ConsultHistoryListType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.ConsultHistoryListType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:28:36+01:00",
               comments="JAXB RI v2.3.6")
    public class ConsultHistoryListType

extends Object
implements Serializable

Generiek type voor de lijst met historiek.

Java class for ConsultHistoryListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultHistoryListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HistoryItem" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultHistoryListItemType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultHistoryListType()`

Method Summary
`List<ConsultHistoryListItemType>` | `getHistoryItems()` Gets the value of the historyItems property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultHistoryListType

    public ConsultHistoryListType()

Method Detail

### getHistoryItems

    public List<ConsultHistoryListItemType> getHistoryItems()

  Gets the value of the historyItems property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the historyItems property.

  For example, to add a new item, do as follows:

          getHistoryItems().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultHistoryListItemType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.